<?php echo $header; ?>
<div id="content">
<div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
</div>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="box">
<div class="heading">
    <h1><img src="view/image/payment.png" alt="" /> <?php echo $heading_title; ?></h1>
    <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a href="<?php echo $cancel; ?>" class="button"><?php echo $button_cancel; ?></a></div>
</div>
<div class="content">
<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">

<table class="form">
<tr>
    <td><span class="required">*</span> <?php echo $entry_merchantid; ?></td>
    <td><input type="text" name="bpay_merchantid" value="<?php echo $bpay_merchantid; ?>" />
        <?php if ($error_merchant) { ?>
        <span class="error"><?php echo $error_merchant; ?></span>
        <?php } ?></td>
</tr>

<tr>
    <td><span class="required">*</span> <?php echo $entry_signature; ?></td>
    <td><input type="text" name="bpay_signature" value="<?php echo $bpay_signature; ?>" />
        <?php if ($error_signature) { ?>
        <span class="error"><?php echo $error_signature; ?></span>
        <?php } ?></td>
</tr>

    <tr>
        <td><?php echo $entry_method; ?></td>
        <td><input type="text" name="bpay_method" value="<?php echo $bpay_method; ?>" /></td>
    </tr>

    <tr>
        <td><?php echo $entry_success_url; ?></td>
        <td><input type="text" name="bpay_success_url" value="<?php echo $bpay_success_url; ?>" />
            (ex: https://www.site.com/success_payment)</td>
    </tr>

    <tr>
        <td><?php echo $entry_fail_url; ?></td>
        <td><input type="text" name="bpay_fail_url" value="<?php echo $bpay_fail_url; ?>" />
        (ex: https://www.site.com/fail)</td>
    </tr>

    <tr>
        <td><?php echo $entry_callback_url; ?></td>
        <td><input type="text" name="bpay_callback_url" value="<?php echo $bpay_callback_url; ?>" />
            (ex: https://www.site.com/callback)</td>
    </tr>

<tr>
    <td><?php echo $entry_istest; ?></td>
    <td><?php if ($bpay_istest) { ?>
        <input type="radio" name="bpay_istest" value="1" checked="checked" />
        <?php echo $text_yes; ?>
        <input type="radio" name="bpay_istest" value="0" />
        <?php echo $text_no; ?>
        <?php } else { ?>
        <input type="radio" name="bpay_istest" value="1" />
        <?php echo $text_yes; ?>
        <input type="radio" name="bpay_istest" value="0" checked="checked" />
        <?php echo $text_no; ?>
        <?php } ?></td>
</tr>


<tr>
    <td><?php echo $entry_status; ?></td>
    <td><select name="bpay_status">
            <?php if ($bpay_status) { ?>
            <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
            <option value="0"><?php echo $text_disabled; ?></option>
            <?php } else { ?>
            <option value="1"><?php echo $text_enabled; ?></option>
            <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
            <?php } ?>
        </select></td>
</tr>

<tr>
    <td><?php echo $entry_sort_order; ?></td>
    <td><input type="text" name="bpay_sort_order" value="<?php echo $bpay_sort_order; ?>" size="1" /></td>
</tr>
</table>
</form>
</div>
</div>
</div>
<?php echo $footer; ?>