<?php
/**
 * Created by PhpStorm.
 * User: user
 * Date: 6/27/14
 * Time: 11:54 AM
 */

class ControllerPaymentBpay extends Controller{


    protected function index() {
        $this->data['button_confirm'] = $this->language->get('button_confirm');

        $this->load->model('checkout/order');
        $this->load->model('localisation/currency');

        $order_info = $this->model_checkout_order->getOrder($this->session->data['order_id']);
        $currency = $this->model_localisation_currency->getCurrencyByCode("MDL");
        $this->data['action'] = 'https://www.bpay.md/user-api/payment1';

        $amount = 5;//($this->currency->getCode() != "MDL") ? $this->currency->format($order_info['total'], $currency['code'], $currency['value'], false):$this->currency->format($order_info['total'], $order_info['currency_code'], $order_info['currency_value'], false);
//var_dump($amount);
        $xml = "<payment>
                    <type>1.2</type>
                    <merchantid>".$this->config->get('bpay_merchantid')."</merchantid>
                    <amount>".$amount."</amount>
                    <description>".$order_info['store_name']."</description>
                    <method>".$this->config->get('bpay_method')."</method>
                    <order_id>".$this->session->data['order_id']."</order_id>
                    <success_url>".$this->config->get("bpay_success_url")."</success_url>
                    <fail_url>".$this->config->get("bpay_fail_url")."</fail_url>
                    <callback_url>".$this->config->get("bpay_callback_url")."</callback_url>
                    <lang></lang>
                    <advanced1>".$order_info['email']."</advanced1>
                    <advanced2>".$order_info['telephone'].", ".$order_info['payment_firstname'].", ".$order_info['payment_lastname']."</advanced2>
                    <istest>".$this->config->get("bpay_istest")."</istest>
                </payment> ";

        $data = base64_encode($xml);
        $sign = md5(md5($xml) . md5($this->config->get("bpay_signature")));
        $this->data['data'] = $data;
        $this->data['sign'] = $sign;

        $this->template = 'default/template/payment/bpay.tpl';


        $this->render();
    }

    public function callback() {

        $signature = $this->config->get("bpay_signature"); // строка, для подписи, указанная при регистрации мерчанта
        $data = $this->request->post['data'];//$_POST['data'];
        $key = $this->request->post['key'];//$_POST['key'];
        $xmldata = base64_decode($data);
        $vrfsign = md5(md5($xmldata) . md5($signature));
        //$this->load->model("log/logs");
        if ($key == $vrfsign)
        {

            $xml = simplexml_load_string ($xmldata);
            $order_id = $xml->order_id;
            $transid = $xml->transid;
            $amount = $xml->amount;
            $payed = (float)$amount;
            $arr_data = json_decode(json_encode($xml),true);

            if ((string)$xml->comand == "check")
            {
                // проверка существования указанного order_id
                // 100 - номер существует, 50 - номер не существует
                //$res = $this->model_log_logs->insertLog("vdvd","vdvdv","Unsuccesful");

            }
            elseif ((string)$xml->comand=="pay")
            {
                $this->load->model('checkout/order');

                $this->model_checkout_order->confirm($order_id, $this->config->get('config_order_status_id'));
                echo "<?xml version='1.0' encoding=\"utf8\"?>";
                echo "<result>";
                echo "<code>100</code>";
                echo "<text>success</text>";
                echo "</result>";

                //$res = $this->model_log_logs->insertLog("vdvd","vdvdv","Success");

            }
            else
            {
                //$res = $this->model_log_logs->insertLog("vdvd","vdvdv","Unsuccess");
               // logTransaction($GATEWAY["name"],$arr_data ,"Unsuccessful, unknown method"); # Save to Gateway Log: name, data array, status

            }
        }
        else
        {
            //$res = $this->model_log_logs->insertLog("vdvd","vdvdv","Unsuccessful");
            //logTransaction($GATEWAY["name"],$arr_data ,"Incorect signature"); # Save to Gateway Log: name, data array, status

        }
    }

} 